> For the complete documentation index, see [llms.txt](https://sodex.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://sodex.com/documentation/for-developers/api-reference/market-data-api/currency/klines.md).

# 1.5 Historical Klines

```
GET /currencies/{currency_id}/klines
```

**Path Parameters**

| Parameter    | Type   | Required | Description |
| ------------ | ------ | -------- | ----------- |
| currency\_id | String | Yes      | Currency ID |

**Query Parameters**

| Parameter   | Type      | Required | Description                           |
| ----------- | --------- | -------- | ------------------------------------- |
| interval    | string    | Yes      | Time interval. Only `1d` is supported |
| start\_time | timestamp | No       | Start time                            |
| end\_time   | timestamp | No       | End time                              |
| limit       | integer   | No       | Default 100, max 500                  |

**Response Example**

```json
[
    {
        "timestamp": 1710000000000,
        "open": 123,
        "high": 130,
        "low": 120,
        "close": 125,
        "volume": 100000
    }
]
```

**Response Fields**

| Field     | Type   | Description              |
| --------- | ------ | ------------------------ |
| timestamp | Long   | Timestamp (milliseconds) |
| open      | Number | Open price               |
| high      | Number | High price               |
| low       | Number | Low price                |
| close     | Number | Close price              |
| volume    | Number | Trading volume           |

**Notes**

* Only daily (`1d`) klines are available.
* The query range is limited to the most recent 3 months.
